slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMEMonitorRegister

Adds LME monitor routine.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEMonitorRegister(const char name[],PetscViewerType vtype,PetscViewerFormat format,PetscErrorCode (*monitor)(LME,PetscInt,PetscReal,PetscViewerAndFormat*),PetscErrorCode (*create)(PetscViewer,PetscViewerFormat,void*,PetscViewerAndFormat**),PetscErrorCode (*destroy)(PetscViewerAndFormat**))

Not Collective

### Input Parameters

| name | - name of a new monitor routine
| vtype | - a PetscViewerType for the output
| format | - a PetscViewerFormat for the output
| monitor | - monitor routine
| create | - creation routine, or NULL
| destroy | - destruction routine, or NULL

### Notes

LMEMonitorRegister() may be called multiple times to add several user-defined monitors.

### Example Usage

       LMEMonitorRegister("my_monitor",PETSCVIEWERASCII,PETSC_VIEWER_ASCII_INFO_DETAIL,MyMonitor,NULL,NULL);

Then, your monitor can be chosen with the procedural interface via

         LMEMonitorSetFromOptions(lme,"-lme_monitor_my_monitor","my_monitor",NULL)

or at runtime via the option

         -lme_monitor_my_monitor

### See Also

LMEMonitorRegisterAll()

### Level

advanced

### Location

src/lme/interface/lmebasic.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages